This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1260237 - Review Request: nodejs-etag - Node.js module to create simple ETags
Review Request: nodejs-etag - Node.js module to create simple ETags
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews
  Show dependency treegraph
 
Reported: 2015-09-04 17:42 EDT by Piotr Popieluch
Modified: 2015-09-20 17:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.7.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-04 17:42:58 EDT
Spec URL: https://piotrp.fedorapeople.org/nodejs-etag.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-etag-1.7.0-1.fc22.src.rpm
Description: Node.js module to create simple ETags
Fedora Account System Username: piotrp
Comment 1 Tom Hughes 2015-09-09 15:59:14 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 9 files have unknown license. Detailed
     output of licensecheck in /home/tom/1260237-nodejs-
     etag/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-etag-1.7.0-1.fc24.noarch.rpm
          nodejs-etag-1.7.0-1.fc24.src.rpm
nodejs-etag.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-etag.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-etag.noarch: W: only-non-binary-in-usr-lib
nodejs-etag.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-etag.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-etag.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-etag (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-etag:
    nodejs-etag
    npm(etag)



Source checksums
----------------
https://github.com/jshttp/etag/archive/a511f5c8c930fd9546dbd88acb080f96bc788cfc.tar.gz#/etag-a511f5c.tar.gz :
  CHECKSUM(SHA256) this package     : 5b558b5e0105e6e96e2a47d5af0dd582c08f26a30eeb2a4c04cc5c8291339208
  CHECKSUM(SHA256) upstream package : 5b558b5e0105e6e96e2a47d5af0dd582c08f26a30eeb2a4c04cc5c8291339208


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1260237
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-09-09 15:59:38 EDT
Looks good. Package approved.
Comment 3 Piotr Popieluch 2015-09-09 16:07:50 EDT
Thanks.


New Package SCM Request
=======================
Package Name: nodejs-etag
Short Description: Node.js module to create simple ETags
Upstream URL: https://github.com/jshttp/etag
Owners: piotrp
Branches: f23 f22 f21 epel7
Comment 4 Gwyn Ciesla 2015-09-10 08:55:16 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-09-10 15:25:03 EDT
nodejs-etag-1.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15556
Comment 6 Fedora Update System 2015-09-10 15:31:24 EDT
nodejs-etag-1.7.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15558
Comment 7 Fedora Update System 2015-09-10 23:49:23 EDT
nodejs-etag-1.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-etag'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15556
Comment 8 Fedora Update System 2015-09-11 15:52:26 EDT
nodejs-etag-1.7.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-etag'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15558
Comment 9 Fedora Update System 2015-09-18 14:30:01 EDT
nodejs-etag-1.7.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-09-20 17:49:33 EDT
nodejs-etag-1.7.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.